Create a subnetwork for a network pool
/v1/network_pools/{network_pool_id}/subnetworksCreate or allocate a subnetwork from a pool by sending a POST request to the /v1/network_pools/{network_pool_id}/subnetworks endpoint. The parameters of a new subnetwork have to be described in the request body. It's optional to choose cidr or mask. One of these parameters must be added to perform the request.
Authorization
bearerAuth In: header
Path Parameters
A unique identifier of a pool from where a subnetwork will be allocated.
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/network_pools/Jrb28JeW/subnetworks" \ -H "Content-Type: application/json" \ -d '{ "title": "my new public network", "cidr": "100.10.32.0/29" }'{ "id": "ELe36rd6", "network_pool_id": "Jrb28JeW", "title": "my new public network", "cidr": "100.10.32.0/29", "attached": false, "interface_type": "public", "updated_at": "2026-05-28T06:56:13Z", "created_at": "2026-05-28T06:56:13Z"}{ "message": "Not found", "code": "NOT_FOUND"}{ "message": "Cannot allocate the subnetwork", "code": "CANNOT_ALLOCATE_NETWORK"}{ "message": "Validation failed", "code": "UNPROCESSABLE_ENTITY", "errors": { "mask": "is out of range" }}